import { QuillConfig, QuillModules } from './quill-editor.interfaces';
import Quill from 'quill';
import { AfterViewInit, ElementRef, OnChanges, Renderer2, SimpleChanges, NgZone } from '@angular/core';
import { CustomOption, CustomModule } from './quill-editor.component';
export declare class QuillViewComponent implements AfterViewInit, OnChanges {
    private platformId;
    private config;
    private renderer;
    private elementRef;
    private zone;
    quillEditor: Quill;
    editorElem: HTMLElement;
    format?: 'object' | 'html' | 'text' | 'json';
    theme?: string;
    modules?: QuillModules;
    debug?: 'warn' | 'log' | 'error' | false;
    formats?: string[] | null;
    strict: boolean;
    content: any;
    customModules: CustomModule[];
    customOptions: CustomOption[];
    preserveWhitespace: boolean;
    constructor(platformId: any, config: QuillConfig, renderer: Renderer2, elementRef: ElementRef, zone: NgZone);
    valueSetter: (quillEditor: Quill, value: any) => any;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
}
